summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2019-11-10 16:19:57 +0100
committerPacho Ramos <pacho@gentoo.org>2019-11-10 16:50:58 +0100
commite02583e12e88759412aa0fd9d47f2efa783a70a2 (patch)
tree66c83baedab9bd46789dc35b98fc3bc561438956
parentpackage.mask: Last rite dev-libs/cygwin (diff)
downloadgentoo-e02583e12e88759412aa0fd9d47f2efa783a70a2.tar.gz
gentoo-e02583e12e88759412aa0fd9d47f2efa783a70a2.tar.bz2
gentoo-e02583e12e88759412aa0fd9d47f2efa783a70a2.zip
dev-util/cunit: Don't use deprecated eclass func, rename configure.in
Package-Manager: Portage-2.3.79, Repoman-2.3.18 Signed-off-by: Pacho Ramos <pacho@gentoo.org>
-rw-r--r--dev-util/cunit/cunit-2.1_p3.ebuild15
1 files changed, 8 insertions, 7 deletions
diff --git a/dev-util/cunit/cunit-2.1_p3.ebuild b/dev-util/cunit/cunit-2.1_p3.ebuild
index 9c9fb0639ae..ecd393dd6b8 100644
--- a/dev-util/cunit/cunit-2.1_p3.ebuild
+++ b/dev-util/cunit/cunit-2.1_p3.ebuild
@@ -1,16 +1,16 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
-inherit autotools eutils flag-o-matic multilib-minimal toolchain-funcs
+EAPI=7
+inherit autotools flag-o-matic multilib-minimal toolchain-funcs
MY_PN="CUnit"
MY_PV="${PV/_p*}-3"
MY_P="${MY_PN}-${MY_PV}"
DESCRIPTION="C Unit Test Framework"
-SRC_URI="mirror://sourceforge/cunit/${MY_P}.tar.bz2"
HOMEPAGE="http://cunit.sourceforge.net"
+SRC_URI="mirror://sourceforge/cunit/${MY_P}.tar.bz2"
LICENSE="LGPL-2"
SLOT="0"
@@ -19,10 +19,9 @@ IUSE="ncurses static-libs"
RDEPEND="ncurses? ( >=sys-libs/ncurses-5.9-r3:0=[${MULTILIB_USEDEP}] )"
DEPEND="${RDEPEND}"
+BDEPEND=""
-S=${WORKDIR}/${MY_P}
-
-DOCS=( AUTHORS NEWS README ChangeLog )
+S="${WORKDIR}/${MY_P}"
src_prepare() {
default
@@ -31,6 +30,8 @@ src_prepare() {
sed -e '/^dochdrdir/{s:$(prefix)/doc/@PACKAGE@:$(docdir):}' \
-i doc/headers/Makefile.am || die
sed -e "s/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/" -i configure.in || die
+
+ mv configure.{in,ac} || die
eautoreconf
append-cppflags -D_BSD_SOURCE
@@ -52,5 +53,5 @@ multilib_src_configure() {
multilib_src_install_all() {
einstalldocs
- prune_libtool_files
+ find "${D}" -name '*.la' -type f -delete || die
}